# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLIFrameElement Class Reference

Inline subwindows. More...

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLIFrameElement:

[legend]
Collaboration diagram for DOM::HTMLIFrameElement:

[legend]
List of all members.

## Public Member Functions

| HTMLIFrameElement (const HTMLIFrameElement &other)
| HTMLIFrameElement (const Node &other)
HTMLIFrameElement & | operator= (const HTMLIFrameElement &other)
HTMLIFrameElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | frameBorder () const
void | setFrameBorder (const DOMString &)
DOMString | height () const
void | setHeight (const DOMString &)
DOMString | longDesc () const
void | setLongDesc (const DOMString &)
DOMString | marginHeight () const
void | setMarginHeight (const DOMString &)
DOMString | marginWidth () const
void | setMarginWidth (const DOMString &)
DOMString | name () const
void | setName (const DOMString &)
DOMString | scrolling () const
void | setScrolling (const DOMString &)
DOMString | src () const
void | setSrc (const DOMString &)
DOMString | width () const
void | setWidth (const DOMString &)
Document | contentDocument () const

## Protected Member Functions

| HTMLIFrameElement (HTMLIFrameElementImpl *impl)

## Detailed Description

Inline subwindows.

See the IFRAME element definition in HTML 4.0.

Definition at line 362 of file html_base.h.

## Member Function Documentation

DOMString HTMLIFrameElement::align | ( |  | ) | const

| Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 283 of file html_base.cpp.

void HTMLIFrameElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 289 of file html_base.cpp.

DOMString HTMLIFrameElement::frameBorder | ( |  | ) | const

| Request frame borders. See the frameborder attribute definition in HTML 4.0. Definition at line 294 of file html_base.cpp.

void HTMLIFrameElement::setFrameBorder | ( | const DOMString & |  | ) |

| see frameBorder Definition at line 300 of file html_base.cpp.

DOMString HTMLIFrameElement::height | ( |  | ) | const

| Frame height. See the height attribute definition in HTML 4.0. Definition at line 305 of file html_base.cpp.

void HTMLIFrameElement::setHeight | ( | const DOMString & |  | ) |

| see height Definition at line 311 of file html_base.cpp.

DOMString HTMLIFrameElement::longDesc | ( |  | ) | const

| URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0. Definition at line 316 of file html_base.cpp.

void HTMLIFrameElement::setLongDesc | ( | const DOMString & |  | ) |

| see longDesc Definition at line 322 of file html_base.cpp.

DOMString HTMLIFrameElement::marginHeight | ( |  | ) | const

| Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0. Definition at line 327 of file html_base.cpp.

void HTMLIFrameElement::setMarginHeight | ( | const DOMString & |  | ) |

| see marginHeight Definition at line 333 of file html_base.cpp.

DOMString HTMLIFrameElement::marginWidth | ( |  | ) | const

| Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0. Definition at line 338 of file html_base.cpp.

void HTMLIFrameElement::setMarginWidth | ( | const DOMString & |  | ) |

| see marginWidth Definition at line 344 of file html_base.cpp.

DOMString HTMLIFrameElement::name | ( |  | ) | const

| The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0. Definition at line 349 of file html_base.cpp.

void HTMLIFrameElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 355 of file html_base.cpp.

DOMString HTMLIFrameElement::scrolling | ( |  | ) | const

| Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0. Definition at line 360 of file html_base.cpp.

void HTMLIFrameElement::setScrolling | ( | const DOMString & |  | ) |

| see scrolling Definition at line 366 of file html_base.cpp.

DOMString HTMLIFrameElement::src | ( |  | ) | const

| A URI designating the initial frame contents. See the src attribute definition in HTML 4.0. Definition at line 371 of file html_base.cpp. References DOM::DOMString::isNull(), and DOM::DOMString::string().

void HTMLIFrameElement::setSrc | ( | const DOMString & |  | ) |

| see src Definition at line 378 of file html_base.cpp.

DOMString HTMLIFrameElement::width | ( |  | ) | const

| Frame width. See the width attribute definition in HTML 4.0. Definition at line 383 of file html_base.cpp.

void HTMLIFrameElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 389 of file html_base.cpp.

Document HTMLIFrameElement::contentDocument | ( |  | ) | const

Introduced in DOM Level 2.

Returns the document this iframe contains, if there is any and it is available, a Null document otherwise. The attribute is read-only.

Returns:
  The content Document if available.

Definition at line 394 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003